package com.ruoyi.common.core.domain.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author DongZl
 * @description: 验证码生成业务模型
 * @Date 2023-6-19 下午 02:00
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CaptchaModel {

    /**
     * 是否开启验证码
     */
    private boolean captchaEnabled;

    /**
     * 验证码校验唯一标识
     */
    private String uuid;

    /**
     * 验证码的base64加密串
     */
    private String img;
}
